=head1 NAME

B<packimage> - Packs the stateless image from the chroot file system.

=head1 SYNOPSIS

B<packimage [-h| --help]>

B<packimage  [-v| --version]>

B<packimage> [B<-m>|B<--method> I<cpio|tar>] [B<-c>|B<--compress> I<gzip|pigz|xz>]  I<imagename>

=head1 DESCRIPTION

Packs the stateless image from the chroot file system into a file system to be
sent to the node for a diskless install.
The install dir is setup by using "installdir" attribute set in the site table.
The nodetype table "profile" attribute for the node should reflect the profile of the install image.

This command will get all the necessary os image definition files from the I<osimage> and I<linuximage> tables.

=head1 PARAMETERS

I<imagename> specifies the name of a os image definition to be used. The specification for the image is stored in the I<osimage> table and I<linuximage> table.

=head1 OPTIONS


B<-h>          Display usage message.

B<-v>          Command Version.

B<-m| --method>          Archive Method (cpio,tar,squashfs, default is cpio)

B<-c| --compress>          Compress Method (pigz,gzip,xz, default is pigz/gzip)


=head1 RETURN VALUE

0 The command completed successfully.

1 An error has occurred.

=head1 EXAMPLES

1. To pack the osimage rhels7.1-x86_64-netboot-compute:

 packimage rhels7.1-x86_64-netboot-compute

2. To pack the osimage rhels7.1-x86_64-netboot-compute with "tar" to archive and "pigz" to compress:

 packimage -m tar -c pigz rhels7.1-x86_64-netboot-compute

=head1 FILES

/opt/xcat/sbin/packimage


=head1 NOTES

This command is part of the xCAT software product.

=head1 SEE ALSO

L<genimage(1)|genimage.1>


